Name: openswan
Version: 1.0.9
Release: alt1

Summary: A Free IPSEC implemetation
Group: Security/Networking
License: GPL

Url: http://www.openswan.org
Source: http://www.openswan.org/code/%name-%version.tar.gz
Source1: %name.init

Patch1: openswan-syslog.patch

# Automatically added by buildreq on Thu Mar 01 2001
BuildRequires: libgmp-devel libstdc++-devel
Conflicts: freeswan super-freeswan

%package libdes
Summary: DES library for Openswan
Group: System/Libraries
Requires: %name = %version-%release

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol)
level. It will be required in IP version 6 (better known as IPng,
the next generation) and is optional for the current IP, version 4.

Openswan is an Open Source implementation of IPsec for the Linux
operating system. Is it a code fork of the FreeS/WAN project, started
by a few of the developers who were growing frustrated with the
politics surrounding the FreeS/WAN project.

New features that aren't tested as well as the main package
land here first. Then we beg the developers to accept the patches
until they get in (or so we hope!)

Currently, Openswan includes the follow major patches:

    * X.509 Digital Certificates
    * RFC 2409 Port Selectors
    * ALG 0.8.1 (All ciphers/hashes enabled as modules, inc 1DES)
    * Notify/Delete SA
    * NAT Traversal
    * Dead Peer Detection (DPD IETF Draft)

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.

%description libdes
This kit builds a DES encryption library and a DES encryption program.
It supports ecb, cbc, ofb, cfb, triple ecb, triple cbc, triple ofb,
triple cfb, desx, and MIT's pcbc encryption modes and also has a fast
implementation of crypt(3).
It contains support routines to read keys from a terminal,
generate a random key, generate a key from an arbitrary length string,
read/write encrypted data from/to a file descriptor.

%prep
%setup -q

%patch1 -p1

# we use /etc/openswan instead of /etc
find -type f -print0 \
| xargs -r0 %__grep -FZl /etc/ipsec.secrets -- \
| xargs -r0 %__subst 's|/etc/ipsec.secrets|/etc/openswan/ipsec.secrets|' --

find -type f -print0 \
| xargs -r0 %__grep -FZl /etc/ipsec.conf -- \
| xargs -r0 %__subst 's|/etc/ipsec.conf|/etc/openswan/ipsec.conf|' --

find -type f -print0 \
| xargs -r0 %__grep -FZl /etc/ipsec.d -- \
| xargs -r0 %__subst 's|/etc/ipsec.d|/etc/openswan/ipsec.d|' --

%build

# dont use %make_build 
# With make_build the package is not compiled on SMP systems.
%make programs \
	OPT_FLAGS="%optflags" \
	INC_USRLOCAL=%prefix \
	INC_MANDIR=share/man \
	FINALCONFDIR=%_sysconfdir/%name

%install
%make_install install \
	DESTDIR="%buildroot" \
	INC_USRLOCAL=%prefix \
	INC_MANDIR=share/man \
	FINALCONFDIR=%_sysconfdir/%name \
	CONFDIR="%buildroot%_sysconfdir/%name"
%__install -p -m755 %SOURCE1 %buildroot%_initdir/ipsec

%__mkdir %buildroot/%_includedir
%__mv %buildroot/usr/local/include/des.h  %buildroot/%_includedir/des.h
%__mv %buildroot/usr/local/lib/libdes.a  %buildroot/%_libdir/libdes.a

%post
%post_service ipsec

%preun
%preun_service ipsec

%files
%config(noreplace) %_sysconfdir/%name/ipsec.*
%config(noreplace) %_initdir/*
%_sbindir/*
%_libdir/ipsec
%_mandir/man?/*
%doc BUGS CREDITS CHANGES* README*
%doc doc/{examples,iab-iesg.stmt,impl.notes,prob.report,standards,*.html}
%exclude %_libdir/ipsec/send-pr

%files libdes
%_libdir/libdes*
%_includedir/des*

%changelog
* Tue Feb  1 2005 Maxim Tyurin <mrkooll@altlinux.ru> 1.0.9-alt1
- Bugfix release (fixed CAN-2005-0162)

* Sat Aug 28 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.0.7-alt1
- Merge X.509 0.9.42, including another security fix (as/kb)

* Wed Aug  4 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.0.6-alt2
- Fixed syslog facility

* Tue Jun 29 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.0.6-alt1.1
- added full changelog
  fixed spec

* Mon Jun 28 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.0.6-alt1
- Change Super FreeS/WAN to Openswan.
  Initial revision.

* Fri Jun 18 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.99.8-alt2
- fix PKCS7 parse

* Wed Mar 03 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.99.8-alt1.3
- fix spec (for new sed package)

* Mon Feb 02 2004 Maxim Tyurin <mrkooll@altlinux.ru> 1.99.8-alt1.2
- cleanup spec

* Thu Jan 22 2004 Michael Shigorin <mike@altlinux.ru> 1.99.8-alt1.1
- spec cleanup ;-)

* Thu Dec 25 2003 Maxim Tyurin <mrkooll@altlinux.ru> 1.99.8-alt1
- Change generic FreeS/Wan to Super FreeS/Wan

* Thu Nov 21 2002 Kachalov Anton <mouse@altlinux.ru> 1.99-alt1
- 1.99

* Mon Apr 01 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.96-alt1
- 1.96
- Fixed typo in startup script.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt3
- Fixed %%files list.

* Wed Mar 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt2
- Rewritten startup script.

* Tue Mar 05 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt1
- 1.95

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.91-alt1
- 1.91

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.9-alt1
- 1.9

* Thu Mar 01 2001 Dmitry V. Levin <ldv@fandra.org> 1.8-ipl2
- Fixed Summary, Group, Description and other tags.

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 1.8-ipl1
- Initial revision.
